Page MenuHomePhabricator

Import kibana package from jessie into stretch
Closed, ResolvedPublic

Description

Hi, i am trying out the stretch branch in mediawiki-vagrant and i am using the elk puppet class.

Puppet is failing with

> default: Error: Could not update: Execution of '/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install kibana' returned 100: Reading package lists...

> default: Building dependency tree...

> default: Reading state information...

> default: E: Unable to locate package kibana

could the package be imported into stretch please?

Event Timeline

Paladox created this task.Dec 17 2017, 12:06 AM
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptDec 17 2017, 12:06 AM

@Gehel It looks like we need to release stretch packages for all our custom elastic stuff (kibana, logstash, es, plugins?). My intuition is that since this is all JVM it should "just work" on stretch, is it possible for apt.wikimedia.org to build the appropriate package files without rebuilding all the debs? An alternate solution I've seen in the wild is to not use the distribution name in the apt line, but that always seemed a bit of a hack.

@Gehel It looks like we need to release stretch packages for all our custom elastic stuff (kibana, logstash, es, plugins?). My intuition is that since this is all JVM it should "just work" on stretch, is it possible for apt.wikimedia.org to build the appropriate package files without rebuilding all the debs?

Yes, that's possible. A deb package can be imported to several suites (there's a separate option --ignore=wrongdistribution for that)

Just continue to use e.g. jessie-wikimedia for the "primary" distribution and simply import the package for the secondary distro.

Gehel added a comment.Dec 19 2017, 4:19 PM

The elasticsearch / kibana / logstash packages have already been uploaded to our stretch repo (under the thirdparty/elastic55 component). This should fix the issue reported here. As I understand, @Paladox is only using vagrant to do some testing around logstash, so he probably doesn't need all our custom packages.

At some point we will want to do the stretch migration, but we probably want to plan that a bit and reduce the time where we support both jessie and stretch.

Change 399773 had a related patch set uploaded (by BryanDavis; owner: Bryan Davis):
[mediawiki/vagrant@stretch-migration] elasticsearch: Use custom apt repo

https://gerrit.wikimedia.org/r/399773

Volans triaged this task as Normal priority.Dec 22 2017, 9:20 AM

Change 399773 merged by jenkins-bot:
[mediawiki/vagrant@stretch-migration] elasticsearch: Use custom apt repo

https://gerrit.wikimedia.org/r/399773

bd808 added a comment.Dec 24 2017, 3:45 AM

The ELK packages are fix now. The cirrussearch role is still failing (T183306) in part due to:

==> default: Error: Could not update: Execution of '/usr/bin/apt-get -q
-y -o DPkg::Options::=--force-confold install
wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
==> default: Building dependency tree...
==> default: Reading state information...
==> default: E: Unable to locate package wmf-elasticsearch-search-plugins
==> default: Error:
/Stage[main]/Role::Cirrussearch/Package[wmf-elasticsearch-search-plugins]/ensure:
change from purged to latest failed: Could not update: Execution of
'/usr/bin/apt-get -q -y -o DPkg::Options::=--force-confold install
wmf-elasticsearch-search-plugins' returned 100: Reading package lists...
==> default: Building dependency tree...
==> default: Reading state information...
==> default: E: Unable to locate package wmf-elasticsearch-search-plugins
bd808 closed this task as Resolved.Dec 25 2017, 5:15 AM
bd808 claimed this task.